<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>mbigint_size</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="mbigint_sign.html">&lt;&lt; mbigint_sign</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_7b349a707006df5d98ef704349f404bc.html">extended_scilab_functions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="mbigint_string.html">mbigint_string &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_7b349a707006df5d98ef704349f404bc.html">extended_scilab_functions</a> &gt; mbigint_size</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">mbigint_size</h1>
    <p class="refpurpose">overloading  compatibility for size for mbigint</p></div>


<div class="refsynopsisdiv"><h3 class="title">Calling Sequence</h3>
   <div class="synopsis"><pre><span class="default">[</span><span class="default">p</span><span class="default">[,</span><span class="default">n</span><span class="default">]]=</span><span class="default">size</span><span class="default">(</span><span class="default">M</span><span class="default">[,</span><span class="default">opt</span><span class="default">])</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">M:</span>
      <dd><p class="para">mbigint</p></dd></dt>
   <dt><span class="term">opt :</span>
      <dd><p class="para">double or integer</p></dd></dt>
   <dt><span class="term">p,n :</span>
      <dd><p class="para">integers</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">matrix size :
<ul class="itemizedlist"><li><p class="para">p= number of rows if opt=&#0039;r&#0039; or 1(default)</p></li>
<li><p class="para">n=number of columns if opt=&#0039;c&#0039; or 2</p></li></ul></p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabcomment">//</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">12345678</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">y</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">-98765432</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">M</span><span class="scilaboperator">=</span><span class="scilabopenclose">[</span><span class="scilabid">x</span> <span class="scilabid">y</span><span class="scilabdefault">;</span> <span class="scilabid">x</span><span class="scilaboperator">-</span><span class="scilabid">y</span> <span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabnumber">0</span><span class="scilabopenclose">)</span><span class="scilabopenclose">]</span>
<span class="scilabid">N</span><span class="scilaboperator">=</span><span class="scilabopenclose">[</span><span class="scilabid">M</span><span class="scilabdefault">,</span><span class="scilabid">M</span><span class="scilabopenclose">]</span>
<span class="scilabopenclose">[</span><span class="scilabid">p</span><span class="scilabdefault">,</span><span class="scilabid">n</span><span class="scilabopenclose">]</span><span class="scilaboperator">=</span><a class="scilabcommand" href="scilab://size">size</a><span class="scilabopenclose">(</span><span class="scilabid">M</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// = p=2,n=2</span>
<span class="scilabopenclose">[</span><span class="scilabid">p</span><span class="scilabdefault">,</span><span class="scilabid">n</span><span class="scilabopenclose">]</span><span class="scilaboperator">=</span><a class="scilabcommand" href="scilab://size">size</a><span class="scilabopenclose">(</span><span class="scilabid">N</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// = p=2,n=4</span>
<span class="scilabid">p</span><span class="scilaboperator">=</span><a class="scilabcommand" href="scilab://size">size</a><span class="scilabopenclose">(</span><span class="scilabid">N</span><span class="scilabdefault">,</span><span class="scilabnumber">1</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// = p=2,n=2</span>
<span class="scilabid">n</span><span class="scilaboperator">=</span><a class="scilabcommand" href="scilab://size">size</a><span class="scilabopenclose">(</span><span class="scilabid">N</span><span class="scilabdefault">,</span><span class="scilabnumber">2</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// = p=2,n=2</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="scilab://size" class="link">size</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="mbigint_sign.html">&lt;&lt; mbigint_sign</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_7b349a707006df5d98ef704349f404bc.html">extended_scilab_functions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="mbigint_string.html">mbigint_string &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
